# Class default

- Defined in src/system/modifier-data.ts:5

#####
Index

### Constructors

constructor

### Properties

args
className
player
stackCount
typeGeneratorId
typeId
typePregenArgs

### Methods

toModifier

## Constructors

### constructor

- new default(source, player): default

- #### Parameters

  - source: any
  - player: boolean

  #### Returns default

  - Defined in src/system/modifier-data.ts:15

## Properties

### `Private` args

args: any[]

- Defined in src/system/modifier-data.ts:10

### className

className: string

- Defined in src/system/modifier-data.ts:13

### `Private` player

player: boolean

- Defined in src/system/modifier-data.ts:6

### `Private` stackCount

stackCount: number

- Defined in src/system/modifier-data.ts:11

### `Private` typeGeneratorId

typeGeneratorId: string

- Defined in src/system/modifier-data.ts:8

### `Private` typeId

typeId: string

- Defined in src/system/modifier-data.ts:7

### `Private` typePregenArgs

typePregenArgs: any[]

- Defined in src/system/modifier-data.ts:9

## Methods

### toModifier

- toModifier(scene, constructor): PersistentModifier

- #### Parameters

  - scene: default
  - constructor: any

  #### Returns PersistentModifier

  - Defined in src/system/modifier-data.ts:32